#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

class MdiChild;
class QMdiArea;
class QMenu;
class QAction;

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow();

protected:
    void closeEvent(QCloseEvent *event);

private slots:
    void new3DView();
    MdiChild *createMdiChild();

private:
    QMdiArea *mdiArea;

    QMenu *fileMenu;
    QAction *newAct;
    
    static int m_viewCounter;
};

#endif
